List std emergency code rows
Módulo Canon
GET/canon/std/emergency-codescanonStdEmergencyCodes.list
An emergency code. Standard Library row, copied into each new org as editable org data. Returns a cursor page of std emergency code rows the caller may see. Coded list: the default order is numeric code order by `code`. Supports sparse fieldsets and the filter grammar.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
- Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| limit | Limit | No | Page size. Default 50, maximum 200.Restricciones: range 1 to 200 |
| cursor | Cursor | No | Opaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
| sort | Sort | No | Sort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$ |
| filter | Filter | No | Filter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND. |
Respuesta 200: una página de StdEmergencyCode
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| code | StdCode | Sí | Natural code of a Standard Library row (Section 2.1).Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| label | string | Sí | Code name.Restricciones: length 1 to 200 |
| emergency | string | Sí | Response procedure.Restricciones: length 1 to 20000 |
| swatch | string | Sí | Design token of the swatch.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| sort_order | integer | Sí | Order of first appearance in the Playbook.Restricciones: range 0 to any |
{
"data": [
{
"code": "10",
"label": "Medical Assist",
"emergency": "Dispatch the medical team to the location.",
"swatch": "ecode-red",
"sort_order": 1
},
{
"code": "20",
"label": "Medical Assist",
"emergency": "Dispatch the medical team to the location.",
"swatch": "ecode-red",
"sort_order": 1
}
],
"next_cursor": null
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/std/emergency-codes" \
-H "Authorization: Bearer $XOS_API_KEY"for await (const row of xos.canonStdEmergencyCodes.listAll()) {
console.log(row);
}for row in xos.canon_std_emergency_codes.list_all():
print(row)xos canon-std-emergency-codes list --all